PROJECTDIR = `pwd`
LIBUC = /opt/libuc2

HEADERSINSTALLPATH = $(LIBUC_INC_DIR_ADS127X)
HEADERS += ads1278.h
LIBSOURCES += ads1278.c
OBJDIR = obj
BINDIR = bin
OBJECTFILES = $(LIBSOURCES:.c=.o)
OBJECTFILES := $(addprefix $(OBJDIR)/,$(OBJECTFILES))
ARCH = lpc17XX-arm-none-eabi-gcc
ARCHFOLDER = $(LIBUC)/rules/lpc17XX-arm-none-eabi-gcc
TARGET=libads127X
LIBUC_INCLUDES=$(LIBUC_INC_DIR_CORE_CMD) $(LIBUC_INC_DIR_SSP_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) 
LIBUC_LIBRARIES=$(LIBUC_LIBS_DIR_CORE_CMD) $(LIBUC_LIBS_CORE) $(LIBUC_LIBS_DIR_SSP_CMD) $(LIBUC_LIBS_SSP) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) 
TARGETINSTALLPATH=$(LIBUC_LIBS_DIR_ADS127X)
HEADERSINSTALLPATH=$(LIBUC_INC_DIR_ADS127X)
BSP=generic
include $(ARCHFOLDER)/rules.mk




all:lib
	@echo Code compiled

libclean:
	rm -f $(TARGETINSTALLPATH)/*.a
	rm -f $(HEADERSINSTALLPATH)/*.h
